%define name 	findwild
%define version 2.2
%define release %mkrel 1

Summary: 	findwild is a utility program to search for files
Summary(de):	findwild ist ein Werkzeug zum Suchen von Dateien
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	GPLv2+
Group: 		File tools
URL: 		http://kornelix.net/findwild/
Source0:	%{name}-%{version}.tar.xz
#fix DOCDIR in makefile otherwise help won't work
#Patch0:		findwild-1.1-fixdocdir.patch
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
Buildrequires: 	gcc-c++
Buildrequires:  %{_lib}gtk+3.0-devel
Buildrequires:	ImageMagick
Requires:	gtk+3.0

%description
findwild is (yet another) utility program to search for files. It works quite differently from other file search programs you have seen. It has a GUI interface and can recall past searches.

a PDF viewer is required to read the application's help 

%description -l de
findwild ist ein (weiteres) Werkzeug zum Suchen von Dateien.
Es arbeitet nicht so wie andere Dateisuchprogramme, die sie gesehen haben.
Es hat eine GUI und merkt sich Ergebnisse vergangener Suchen.

%prep
%setup -q 
#patch0 -p1
#copy doc files where they should be
cp -rf doc/* ./

%build
export PREFIX=/usr
%make

%install
rm -rf $RPM_BUILD_ROOT
export PREFIX=/usr
%makeinstall_std

# delete original desktop file
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/kornelix-%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=findwild
Comment=A utility program to search for files
Comment[de]=Ein Programm zum Suchen von Dateien
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-FileTools;System;
EOF
        
# icon
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 icons/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 icons/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 icons/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

#remove docs and icon built by the makefile
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%preun

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc copyright changelog README
%{_datadir}/applications/%{name}.desktop
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%_mandir/man1/%{name}.1.bz2

%changelog
* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 2.2-1pclos2016
- 2.2

* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> 2.1-1pclos2014
- 2.1

* Tue Apr 03 2012 Neal <nealbrks0 at gmail dot com> 1.5-1pclos2012
- process

* Tue Apr 03 2012 ghostbunny <ghostbunny at gmx dot de> 1.5-1pclos2012
- added german summary, description and comment in desctop file
- replaced gtk2 by gtk3
- renamed spec to pclos-findwild.spec
- fixed %doc line
- added %{_lib} macro
- added delete of original desktop file
- commented patch, help works without it
- added xz compression

* Mon Aug 04 2008 don_crissti <don_crissti@gmx.com> 1.1-1pclos2007
- initial build for PCLinuxOS
